[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TCustomSQLQuery.SQLConnection

Database as TSQLConnection

## Declaration

Source position: sqldb.pp line 592

`public property TCustomSQLQuery.SQLConnection : TSQLConnection read GetSQLConnection write SetSQLConnection;`

## Description

SQLConnection equals the Database property, but typecasted as a TSQLConnection descendent.

## See also

TSQLConnection |  | An abstract class representing a connection to a SQL Database
TCustomSQLQuery.SQLTransaction |  | Transaction as TSQLTransaction